Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.filetransfer.proxy
Interface ProxyTransfer

All Superinterfaces:
  Cacheable, FileTransferProgress, Serializable

All Known Implementing Classes:
  DefaultProxyTransfer

    public interface ProxyTransfer

extends Cacheable, FileTransferProgress

Tracks the different connections related to a proxy file transfer. There are two connections, the initiator and the target and when both connections are completed the transfer can begin.

Method Summary
`void` | `doTransfer()` Transfers the file from the initiator to the target.
`String` | `getTransferDigest()` Returns the transfer digest uniquely identifies a file transfer in the system.
`boolean` | `isActivatable()` Returns true if the Bytestream is ready to be activated and the proxy transfer can begin.
`void` | `setTransferDigest(String digest)` Sets the transfer digest for a file transfer.

Methods inherited from interface org.jivesoftware.util.cache.Cacheable
`getCachedSize`

Methods inherited from interface org.jivesoftware.openfire.filetransfer.FileTransferProgress
`getAmountTransfered, getInitiator, getInputStream, getOutputStream, getSessionID, getTarget, setInitiator, setInputStream, setOutputStream, setSessionID, setTarget, setTransferFuture`

Method Detail

### setTransferDigest

    void setTransferDigest(String digest)

  Sets the transfer digest for a file transfer. The transfer digest uniquely identifies a file transfer in the system.

  Parameters:
    `digest` - the digest which uniquely identifies this transfer.

### getTransferDigest

    String getTransferDigest()

  Returns the transfer digest uniquely identifies a file transfer in the system.

  Returns:
    the transfer digest uniquely identifies a file transfer in the system.

### isActivatable

    boolean isActivatable()

  Returns true if the Bytestream is ready to be activated and the proxy transfer can begin.

  Returns:
    true if the Bytestream is ready to be activated.

### doTransfer

    void doTransfer()
                    throws IOException

  Transfers the file from the initiator to the target.

  Throws:
    `IOException` - when an error occurs either reading from the input stream or writing to the output stream.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.